# pion::plugins::EchoService Class Reference

`#include <EchoService.hpp>`

Inherits pion::http::plugin_service.

List of all members.

## Public Member Functions

virtual void | operator() (pion::http::request_ptr &http_request_ptr, pion::tcp::connection_ptr &tcp_conn)
| handles requests for EchoService

## Detailed Description

EchoService: web service that echos back requests (to test request parsing)

Definition at line 22 of file EchoService.hpp.

The documentation for this class was generated from the following files:

- services/EchoService.hpp
- services/EchoService.cpp